#ifndef CONSTS_H
#define CONSTS_H

#ifdef PC_TEST
#include "pc.h"
#else
#include <GenericTypeDefs.h>
#endif


#define FIG_NUM 7
#define SQUARE_NUM 4
#define ORIENT_NUM 4

#define WELL_WIDTH 10
#define NUM_COLUMNS WELL_WIDTH
#define WELL_DEPTH 25
#define NUM_ROWS WELL_DEPTH

#define NUM_TETRIMINOES FIG_NUM

#define NUM_INCOMING 10


typedef enum { MOVE_NONE, MOVE_LEFT, MOVE_RIGHT,
            MOVE_ROTATE, MOVE_DROP } Player_Move;

typedef struct Tet_State_struct {
            char        x, y;
            BYTE        r, i;
        } Tet_State;

#define I_PIECE 3

#endif

